Mailinglist Archive: opensuse-factory (765 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20171115 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20171115

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
alsa-tools
audit (2.7.7 -> 2.8.1)
audit-secondary (2.7.7 -> 2.8.1)
bzip2
glibc
glibc
icedtea-web
make
pam
perl-MIME-Types (2.13 -> 2.14)
python-ldap (2.4.45 -> 2.5.1)
shadow

=== Details ===

==== alsa-tools ====

- Eliminate a few rpmlint warnings:
+ ld10k-devel should require ld10k versioned.
+ Do not package empty ChangeLog files.
- Update to alsa-tools 1.1.5:
* echomixer: obsolete usage of dimension information
* as10k1: Drop superfluous inline prefix

==== audit ====
Version update (2.7.7 -> 2.8.1)
Subpackages: audit-devel libaudit1 libaudit1-32bit libauparse0

- Update to version 2.8.1 release (includes 2.8 and 2.7.8 changes)
* many features added to auparse_normalize
* cli option added to auditd and audispd for setting config dir
* in auditd, restore the umask after creating a log file
* option added to auditd for skipping email verification
- Full changelog: http://people.redhat.com/sgrubb/audit/ChangeLog

==== audit-secondary ====
Version update (2.7.7 -> 2.8.1)

- Rename python binding packages to match current python packaging
standards
- Update python build dependencies to resolve future split of
python2/3
- Update to version 2.8.1. See audit.spec (libaudit1) for upstream
changelog
- Remove audit-implicit-writev.patch (fixed upstream across 2
commits)
* 3b30db20ad983274989ce9a522120c3c225436b3
* 07132c22314e9abbe64d1031fd8734243285bb3f
- Cleanup with spec-cleaner

==== bzip2 ====
Subpackages: libbz2-1 libbz2-1-32bit libbz2-devel

- Fix build on Fedora and Mageia
- Update bzip2-1.0.6-autoconfiscated.patch:
* Bump version to 1.0.6.
* Fix script symlinks on platforms with EXEEXT.

==== glibc ====
Subpackages: glibc-32bit glibc-locale-32bit

- spawni-assert.patch: Fix improper assert in Linux posix_spawn (BZ
[#22273])
- math-c++-compat.patch: Add more C++ compatibility (BZ #22296)
- malloc-tcache-leak.patch: Fix tcache leak after thread destruction (BZ
[#22111])
- falkor-memcpy-memmove.patch: Optimized implementation of memcpy/memmove
for Qualcomm Falkor
- aarch64-cpu-features.patch: Fix glibc.tune.cpu tunable handling
- nss-files-large-buffers.patch: Avoid large buffers with many host
addresses (BZ #22078)
- sysconf-uio-maxiov.patch: Fix missing definition of UIO_MAXIOV (BZ
[#22321])
- glob-tilde-overflow.patch: Fix buffer overflows with GLOB_TILDE
(CVE-2017-15670, CVE-2017-15671, CVE-2017-15804,
bsc#1064569. bsc#1064580, bsc#1064583, BZ #22320, BZ #22325, BZ #22332)
- dl-runtime-resolve-xsave.patch: Use fxsave/xsave/xsavec in
_dl_runtime_resolve (BZ #21265)

==== glibc ====
Subpackages: glibc-devel glibc-extra glibc-info glibc-locale nscd

- spawni-assert.patch: Fix improper assert in Linux posix_spawn (BZ
[#22273])
- math-c++-compat.patch: Add more C++ compatibility (BZ #22296)
- malloc-tcache-leak.patch: Fix tcache leak after thread destruction (BZ
[#22111])
- falkor-memcpy-memmove.patch: Optimized implementation of memcpy/memmove
for Qualcomm Falkor
- aarch64-cpu-features.patch: Fix glibc.tune.cpu tunable handling
- nss-files-large-buffers.patch: Avoid large buffers with many host
addresses (BZ #22078)
- sysconf-uio-maxiov.patch: Fix missing definition of UIO_MAXIOV (BZ
[#22321])
- glob-tilde-overflow.patch: Fix buffer overflows with GLOB_TILDE
(CVE-2017-15670, CVE-2017-15671, CVE-2017-15804,
bsc#1064569. bsc#1064580, bsc#1064583, BZ #22320, BZ #22325, BZ #22332)
- dl-runtime-resolve-xsave.patch: Use fxsave/xsave/xsavec in
_dl_runtime_resolve (BZ #21265)

==== icedtea-web ====
Subpackages: icedtea-web-javadoc

- Bumped by mistake build requirement, bump it back.
Build with java-devel >= 1.8

==== make ====
Subpackages: make-lang

- glob-lstat.patch: Do not assume glibc glob internals

==== pam ====
Subpackages: pam-32bit pam-devel

- Prerequire group(shadow), user(root)

==== perl-MIME-Types ====
Version update (2.13 -> 2.14)

- updated to 2.14
see /usr/share/doc/packages/perl-MIME-Types/ChangeLog
version 2.14: Wed 8 Nov 17:45:22 CET 2017
Fixes:
- MojoX should not die on missing types.
rt.cpan.org#123298 [Dmitry Latin]

==== python-ldap ====
Version update (2.4.45 -> 2.5.1)

- update to upstream release 2.5.1
- adjusted BuildRequires to match upstream prerequisites
Changes since 2.4.45:
Mandatory prerequisites:
- Python 2.7.x
- pyasn1 0.3.7+ and pyasn1_modules 0.1.5+
Modules/
* removed unused code schema.c
Lib/
* ldap.__version__, ldap.__author__ and ldap.__license__ now
imported from new sub-module ldap.pkginfo also to setup.py
* Added safety assertion when importing _ldap:
ldap.pkginfo.__version__ must match _ldap.__version__
* removed stand-alone module dsml
* slapdtest.SlapdObject.restart() just restarts slapd
without cleaning any data
* Compability changes for pyasn1 0.3.x or newer
(thanks to Ilya Etingof and Christian Heimes)
* The methods SSSResponseControl.decodeControlValue() and
VLVResponseControl.decodeControlValue() now follow the coding
convention to use camel-cased ASN.1 name as class attribute name.
The old class names are still set for back-ward compability
but should not be used in new code because they might be removed
in a later release.
* removed SSSRequestControl from ldap.controls.KNOWN_RESPONSE_CONTROLS
Tests/
* added explicit reconnect tests for ReconnectLDAPObject

==== shadow ====

- bsc#1061838:
Revert: Requires: group(mail)
Introduced circular dependency


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups